QuickLink
Customize quick link testing
PATCH
/
quicklink
/
{token}
/
testing
Customize quick link testing
curl --request PATCH \
--url https://api.polymorfa.com/quicklink/{token}/testing \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"name": "<string>",
"status": "<string>"
},
"historyFixtureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {name: '<string>', status: '<string>'},
historyFixtureId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.polymorfa.com/quicklink/{token}/testing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/quicklink/{token}/testing"
payload = {
"profile": {
"name": "<string>",
"status": "<string>"
},
"historyFixtureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/quicklink/{token}/testing"
payload := strings.NewReader("{\n \"profile\": {\n \"name\": \"<string>\",\n \"status\": \"<string>\"\n },\n \"historyFixtureId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"testing": {
"country": "<string>",
"configuration": {
"profile": {
"name": "<string>",
"status": "<string>"
},
"accountType": "personal",
"replyBehavior": "off",
"failureScenario": "none",
"historyFixtureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"editable": [
"profile.name"
],
"state": "pending",
"phone": "<string>"
},
"historyConfiguration": {
"mode": "metadata_only",
"requestFull": true
},
"historyConsent": "pending",
"id": "<string>",
"status": "pending",
"expiresAt": "<string>",
"connections": [
"cloud"
],
"selectedConnection": "cloud",
"connectionPreference": "cloud",
"connectionEnforcement": "prefer",
"cloud": {
"appId": "<string>",
"configId": "<string>"
},
"onboarding": {
"stage": "<string>",
"connection": "<string>",
"coexistence": true,
"contactsSync": "<string>",
"historySync": "<string>",
"historyProgress": 50,
"errorCode": "<string>"
},
"methods": [
"qr"
],
"defaultMethod": "qr",
"businessName": "<string>",
"headline": "<string>",
"description": "<string>",
"successMessage": "<string>",
"supportUrl": "<string>",
"privacyUrl": "<string>",
"termsUrl": "<string>",
"theme": "light",
"accent": "<string>",
"shape": "square",
"radiusPx": 123,
"logoUrl": "<string>",
"hideWatermark": true,
"historySync": "ask",
"phoneStep": {
"confirmed": true,
"allowChange": true,
"noNumber": true,
"allowNoNumber": true
},
"prefillPhone": "<string>",
"phoneIdentity": {
"registered": true,
"phone": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp",
"pushName": "<string>",
"pictureUrl": "<string>"
},
"customer": true,
"session": {
"status": "<string>",
"phone": "<string>"
},
"qrSvg": "<string>",
"errorCode": "<string>",
"redirectUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}Path Parameters
Opaque token required by the target operation. Opaque QuickLink token from the hosted URL.
Body
application/json
Structured profile values for this schema.
Show child attributes
Show child attributes
Category assigned to account.
Allowed values
| Value | Meaning |
|---|---|
personal | Personal. |
business | Business. |
Available options:
personal, business Specifies reply behavior for this schema.
Allowed values
| Value | Meaning |
|---|---|
off | Off. |
echo | Echo. |
Available options:
off, echo Specifies failure scenario for this schema.
Allowed values
| Value | Meaning |
|---|---|
none | None. |
reject-send | Reject send. |
Available options:
none, reject-send Identifier for the history fixture.
Value constraints
| Constraint | Accepted input |
|---|---|
| Format | uuid |
Response
Test configuration updated
Structured data carried by this object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Customize quick link testing
curl --request PATCH \
--url https://api.polymorfa.com/quicklink/{token}/testing \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"name": "<string>",
"status": "<string>"
},
"historyFixtureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {name: '<string>', status: '<string>'},
historyFixtureId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.polymorfa.com/quicklink/{token}/testing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/quicklink/{token}/testing"
payload = {
"profile": {
"name": "<string>",
"status": "<string>"
},
"historyFixtureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/quicklink/{token}/testing"
payload := strings.NewReader("{\n \"profile\": {\n \"name\": \"<string>\",\n \"status\": \"<string>\"\n },\n \"historyFixtureId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"testing": {
"country": "<string>",
"configuration": {
"profile": {
"name": "<string>",
"status": "<string>"
},
"accountType": "personal",
"replyBehavior": "off",
"failureScenario": "none",
"historyFixtureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"editable": [
"profile.name"
],
"state": "pending",
"phone": "<string>"
},
"historyConfiguration": {
"mode": "metadata_only",
"requestFull": true
},
"historyConsent": "pending",
"id": "<string>",
"status": "pending",
"expiresAt": "<string>",
"connections": [
"cloud"
],
"selectedConnection": "cloud",
"connectionPreference": "cloud",
"connectionEnforcement": "prefer",
"cloud": {
"appId": "<string>",
"configId": "<string>"
},
"onboarding": {
"stage": "<string>",
"connection": "<string>",
"coexistence": true,
"contactsSync": "<string>",
"historySync": "<string>",
"historyProgress": 50,
"errorCode": "<string>"
},
"methods": [
"qr"
],
"defaultMethod": "qr",
"businessName": "<string>",
"headline": "<string>",
"description": "<string>",
"successMessage": "<string>",
"supportUrl": "<string>",
"privacyUrl": "<string>",
"termsUrl": "<string>",
"theme": "light",
"accent": "<string>",
"shape": "square",
"radiusPx": 123,
"logoUrl": "<string>",
"hideWatermark": true,
"historySync": "ask",
"phoneStep": {
"confirmed": true,
"allowChange": true,
"noNumber": true,
"allowNoNumber": true
},
"prefillPhone": "<string>",
"phoneIdentity": {
"registered": true,
"phone": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp",
"pushName": "<string>",
"pictureUrl": "<string>"
},
"customer": true,
"session": {
"status": "<string>",
"phone": "<string>"
},
"qrSvg": "<string>",
"errorCode": "<string>",
"redirectUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}